/* ==========================================================================
   #FONT
   ========================================================================== */
.font-robo {
    font-family: "Roboto", "Arial", "Helvetica Neue", sans-serif;
}

/* ==========================================================================
   #GRID
   ========================================================================== */
.row {
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

.row-space {
    -webkit-box-pack: justify;
    -webkit-justify-content: space-between;
    -moz-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
}

.col-2 {
    width: -webkit-calc((100% - 60px) / 2);
    width: -moz-calc((100% - 60px) / 2);
    width: calc((100% - 60px) / 2);
}

@media (max-width: 767px) {
    .col-2 {
        width: 100%;
    }
}

/* ==========================================================================
   #DROPDOWN MENU
   ========================================================================== */
/* dropdown_container acts as a border to the select element so the dropdown arrow could be moved away from the border
*/
#dropdown_container {
    width: 100%;
    border: 2px solid #ccc;
    border-radius: 6px;
    padding: 2px;
}

#tasu_liik,
#kp_protsent {
    width: 100%;
    padding: 5px;
    border: 1px solid transparent;
    color: #666;
    font-size: 14px;
    font-family: inherit;
    outline: none;
    border-right: 8px solid transparent;
}

#tasu_liik option,
#kp_protsent option {
    color: #666;
}

/* ==========================================================================
   #CHECK-BOX
   ========================================================================== */

.checkbox-row {
    margin-bottom: 30px;
    display: flex;
    align-items: center;
}

.taxfree-row {
    display: flex;
    align-items: center;
    gap: 12px;
    margin-bottom: 30px;
}

.taxfree-amount {
    margin-bottom: 0;
    width: 140px;
}

input[type="checkbox"] {
    accent-color: #3295b3;
    height: 20px;
    width: 20px;
    margin-right: 8px;
    border-radius: 100%;
}


/* ==========================================================================
   #BOX-SIZING
   ========================================================================== */
/**
 * More sensible default box-sizing:
 * css-tricks.com/inheriting-box-sizing-probably-slightly-better-best-practice
 */
html {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

* {
    padding: 0;
    margin: 0;
}

*, *:before, *:after {
    -webkit-box-sizing: inherit;
    -moz-box-sizing: inherit;
    box-sizing: inherit;
}

/* ==========================================================================
   #RESET
   ========================================================================== */
/**
 * A very simple reset that sits on top of Normalize.css.
 */
body,
h1, h2, h3, h4, h5, h6,
blockquote, p, pre,
dl, dd, ol, ul,
figure,
hr,
fieldset, legend {
    margin: 0;
    padding: 0;
}

/**
 * Remove trailing margins from nested lists.
 */
li > ol,
li > ul {
    margin-bottom: 0;
}

/**
 * Remove default table spacing.
 */
table {
    border-collapse: collapse;
    border-spacing: 0;
}

/**
 * 1. Reset Chrome and Firefox behaviour which sets a `min-width: min-content;`
 *    on fieldsets.
 */
fieldset {
    min-width: 0;
    /* [1] */
    border: 0;
}

button {
    outline: none;
    background: none;
    border: none;
}

/* ==========================================================================
   #PAGE WRAPPER
   ========================================================================== */
.page-wrapper {
    min-height: 100vh;
}

body {
    font-family: "Roboto", "Arial", "Helvetica Neue", sans-serif;
    font-weight: 400;
    font-size: 14px;
}

h1, h2, h3, h4, h5, h6 {
    font-weight: 400;
}

h1 {
    font-size: 36px;
}

h2 {
    font-size: 30px;
}

h3 {
    font-size: 24px;
}

h4 {
    font-size: 18px;
}

h5 {
    font-size: 15px;
}

h6 {
    font-size: 13px;
}

/* ==========================================================================
   #BACKGROUND
   ========================================================================== */
.bg-blue {
    background: rgb(29, 201, 208);
    background: linear-gradient(90deg, rgba(29, 201, 208, 1) 0%, rgba(50, 119, 177, 1) 35%, rgba(31, 124, 242, 1) 100%);
}

/* ==========================================================================
   #SPACING
   ========================================================================== */
.p-t-100 {
    padding-top: 70px;
}

.p-t-20 {
    padding-top: 20px;
}

.p-b-100 {
    padding-bottom: 100px;
}

/* ==========================================================================
   #WRAPPER
   ========================================================================== */
.wrapper {
    margin: 0 auto;
}

.wrapper--w680 {
    max-width: 680px;
}

/* ==========================================================================
   #BUTTON
   ========================================================================== */
.btn {
    line-height: 40px;
    display: inline-block;
    padding: 0 25px;
    cursor: pointer;
    font-family: "Roboto", "Arial", "Helvetica Neue", sans-serif;
    color: #fff;
    -webkit-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    transition: all 0.4s ease;
    font-size: 14px;
    font-weight: 700;
}

.btn--radius {
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
}

.btn--green {
    background: #57b846;
}

.btn--red {
    background: #fb5524;
}

.btn--green:hover {
    background: #4dae3c;
}

.btn--red:hover {
    background: #f94611;
}

/* ==========================================================================
   #DATE PICKER
   ========================================================================== */
td.active {
    background-color: #2c6ed5;
}

input[type="date" i] {
    padding: 14px;
}

.table-condensed td, .table-condensed th {
    font-size: 14px;
    font-family: "Roboto", "Arial", "Helvetica Neue", sans-serif;
    font-weight: 400;
}

.daterangepicker td {
    width: 40px;
    height: 30px;
}

.daterangepicker {
    border: none;
    -webkit-box-shadow: 0px 8px 20px 0px rgba(0, 0, 0, 0.15);
    -moz-box-shadow: 0px 8px 20px 0px rgba(0, 0, 0, 0.15);
    box-shadow: 0px 8px 20px 0px rgba(0, 0, 0, 0.15);
    display: none;
    border: 1px solid #e0e0e0;
    margin-top: 5px;
}

.daterangepicker::after, .daterangepicker::before {
    display: none;
}

.daterangepicker thead tr th {
    padding: 10px 0;
}

.daterangepicker .table-condensed th select {
    border: 1px solid #ccc;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    font-size: 14px;
    padding: 5px;
    outline: none;
}

/* ==========================================================================
   #FORM
   ========================================================================== */
input {
    outline: none;
    margin: 0;
    border: none;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    width: 100%;
    font-size: 14px;
    font-family: inherit;
}

.input-group {
    position: relative;
    margin-bottom: 30px;
    border-bottom: 2px solid #ccc;
}

.input-icon {
    position: absolute;
    font-size: 18px;
    color: #ccc;
    right: 8px;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    transform: translateY(-50%);
    cursor: pointer;
}

.input--style-1 {
    padding: 9px 0;
    color: #666;
}

.input--style-1::-webkit-input-placeholder {
    /* WebKit, Blink, Edge */
    color: #555;
}

.input--style-1:-moz-placeholder {
    /* Mozilla Firefox 4 to 18 */
    color: #555;
    opacity: 1;
}

.input--style-1::-moz-placeholder {
    /* Mozilla Firefox 19+ */
    color: #555;
    opacity: 1;
}

.input--style-1:-ms-input-placeholder {
    /* Internet Explorer 10-11 */
    color: #555;
}

.input--style-1:-ms-input-placeholder {
    /* Microsoft Edge */
    color: #555;
}

.input--style-2 {
    border: 1px solid grey;
    padding: 3px 9px;
    width: 20%;
    color: black;
}

.input--style-3 {
    margin: 4px 9px;
    width: 10%;
    color: black;
}

.input--style-4 {
    border: 1px solid grey;
    padding: 3px 9px;
    color: black;
    width: 90px;
}

/* ==========================================================================
   #SELECT2
   ========================================================================== */
.select--no-search .select2-search {
    display: none !important;
}

.rs-select2 .select2-container {
    width: 100% !important;
    outline: none;
}

.rs-select2 .select2-container .select2-selection--single {
    outline: none;
    border: none;
    height: 34px;
}

.rs-select2 .select2-container .select2-selection--single .select2-selection__rendered {
    line-height: 34px;
    padding-left: 0;
    color: #555;
}

.rs-select2 .select2-container .select2-selection--single .select2-selection__arrow {
    height: 32px;
    right: 4px;
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -moz-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -moz-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.rs-select2 .select2-container .select2-selection--single .select2-selection__arrow b {
    display: none;
}

.rs-select2 .select2-container .select2-selection--single .select2-selection__arrow:after {
    font-family: "Material-Design-Iconic-Font";
    content: '\f2f9';
    font-size: 18px;
    color: #ccc;
    -webkit-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    transition: all 0.4s ease;
}

.rs-select2 .select2-container.select2-container--open .select2-selection--single .select2-selection__arrow::after {
    -webkit-transform: rotate(-180deg);
    -moz-transform: rotate(-180deg);
    -ms-transform: rotate(-180deg);
    -o-transform: rotate(-180deg);
    transform: rotate(-180deg);
}

.select2-container--open .select2-dropdown--below {
    border: none;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    -webkit-box-shadow: 0px 8px 20px 0px rgba(0, 0, 0, 0.15);
    -moz-box-shadow: 0px 8px 20px 0px rgba(0, 0, 0, 0.15);
    box-shadow: 0px 8px 20px 0px rgba(0, 0, 0, 0.15);
    border: 1px solid #e0e0e0;
    margin-top: 5px;
    overflow: hidden;
}

/* ==========================================================================
   #TITLE
   ========================================================================== */
.title {
    margin-bottom: 37px;
}

/* ==========================================================================
   #CARD
   ========================================================================== */
.card {
    overflow: hidden;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 15px;
    background: #fff;
}

.card-1 {
    -webkit-box-shadow: 0px 8px 20px 0px rgba(0, 0, 0, 0.15);
    -moz-box-shadow: 0px 8px 20px 0px rgba(0, 0, 0, 0.15);
    box-shadow: 0px 8px 20px 0px rgba(0, 0, 0, 0.15);
}

/*
---------------------------------------------
Siin oli bänneri määramine, mis viidi index.php sisse.
---------------------------------------------
*/

.card-1 .card-body {
    padding: 0 90px;
    padding-top: 55px;
    padding-bottom: 65px;
}

.card-1 .card-body-less-top {
    padding: 0 90px;
    padding-top: 25px;
    padding-bottom: 65px;
}

@media (max-width: 767px) {
    .card-1 .card-body {
        padding: 0 40px;
        padding-top: 40px;
        padding-bottom: 40px;
    }
}

@media (max-width: 767px) {
    .card-1 .card-body-less-top {
        padding: 0 40px;
        padding-top: 40px;
        padding-bottom: 40px;
    }
}

.myButton {
    box-shadow: inset 0px 1px 0px 0px #ffffff;
    background: linear-gradient(to bottom, #f9f9f9 5%, #e9e9e9 100%);
    background-color: #f9f9f9;
    border-radius: 6px;
    border: 1px solid #dcdcdc;
    display: inline-block;
    cursor: pointer;
    color: #666666;
    font-family: Arial;
    font-size: 15px;
    font-weight: bold;
    padding: 6px 24px;
    text-decoration: none;
    text-shadow: 0px 1px 0px #ffffff;
}

.myButton:hover {
    background: linear-gradient(to bottom, #e9e9e9 5%, #f9f9f9 100%);
    background-color: #e9e9e9;
}

.myButton:active {
    position: relative;
    top: 1px;
}

.lisaRida {
    background: linear-gradient(to bottom, #fc8d83 5%, #e4685d 100%);
    background-color: #fc8d83;
    border-radius: 6px;
    border: 1px solid #d83526;
    display: inline-block;
    cursor: pointer;
    color: #ffffff;
    font-family: Arial;
    font-size: 28px;
    font-weight: bold;
    padding: 0px 7px;
    text-decoration: none;
    text-shadow: 0px 1px 0px #b23e35;
}

.lisaRida:hover {
    background: linear-gradient(to bottom, #e4685d 5%, #fc8d83 100%);
    background-color: #e4685d;
}

.lisaRida:active {
    position: relative;
    top: 1px;
}

.lisaArve, .lisaTasu {
    box-shadow: inset 0px 34px 0px -15px #329fd9;
    background: linear-gradient(to bottom, #21a6cf 5%, #3295b3 100%);
    background-color: #21a6cf;
    border-radius: 3px;
    border: 1px solid #241d13;
    display: inline-block;
    cursor: pointer;
    color: #ffffff;
    font-family: Arial;
    font-size: 16px;
    font-weight: normal;
    padding: 6px 25px;
    text-decoration: none;
    text-shadow: 0px -1px 0px #1d7278;
}

.lisaArve:hover, .lisaTasu:hover {
    background: linear-gradient(to bottom, #3295b3 5%, #21a6cf 100%);
    background-color: #3295b3;
}

.lisaArve:active, .lisaTasu:active {
    position: relative;
    top: 1px;
}

/*
---------------------------------------------
preloader
--------------------------------------------- 
*/
#preloader {
    overflow: hidden;
    background-image: linear-gradient(145deg, #00b4c6 0%, #0088e8 100%);
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    position: fixed;
    z-index: 9999;
    color: #fff;
}

#preloader .jumper {
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    display: block;
    position: absolute;
    margin: auto;
    width: 50px;
    height: 50px;
}

#preloader .jumper > div {
    background-color: #fff;
    width: 10px;
    height: 10px;
    border-radius: 100%;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    position: absolute;
    opacity: 0;
    width: 50px;
    height: 50px;
    -webkit-animation: jumper 1s 0s linear infinite;
    animation: jumper 1s 0s linear infinite;
}

#preloader .jumper > div:nth-child(2) {
    -webkit-animation-delay: 0.33333s;
    animation-delay: 0.33333s;
}

#preloader .jumper > div:nth-child(3) {
    -webkit-animation-delay: 0.66666s;
    animation-delay: 0.66666s;
}

@-webkit-keyframes jumper {
    0% {
        opacity: 0;
        -webkit-transform: scale(0);
        transform: scale(0);
    }
    5% {
        opacity: 1;
    }
    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 0;
    }
}

@keyframes jumper {
    0% {
        opacity: 0;
        -webkit-transform: scale(0);
        transform: scale(0);
    }
    5% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}

.tagasinupp {
    background: linear-gradient(to bottom, #3d94f6 5%, #1e62d0 100%);
    background-color: #3d94f6;
    border-radius: 6px;
    margin: 6px;
    border: 1px solid #337fed;
    display: inline-block;
    cursor: pointer;
    color: #ffffff;
    font-family: Arial;
    font-size: 15px;
    padding: 6px 24px;
    text-decoration: none;
}

.tagasinupp:hover {
    background: linear-gradient(to bottom, #1e62d0 5%, #3d94f6 100%);
    background-color: #1e62d0;
}

.tagasinupp:active {
    position: relative;
    top: 1px;
}
